/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2012 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.java.net
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.indexedfilesystem.impl;

import javax.annotation.Nonnull;
import org.openide.filesystems.LocalFileSystem;

/***********************************************************************************************************************
 *
 * This class extends FileSystem to implement persistent ids.
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class LocalIndexedFileSystem extends LocalFileSystem
  {
    private static final long serialVersionUID = -8091536612937413120L;

    /** FIXME this public */
    public final Object DISABLE_CHILDREN_INDEXING_LOCK = new Object();
    
    /** FIXME this public */
    public boolean disableChildrenIndexing = false;

    /***************************************************************************
     *
     * Creates a new instance.
     *
     **************************************************************************/
    public LocalIndexedFileSystem()
      {
        attr = new AttrDecorator(attr, this);  
        list = new ListDecorator(list, this);
        change = new ChangeDecorator(change, this);
      } 

    /***************************************************************************
     *
     *
     **************************************************************************/
    @Nonnull
    protected String findCompletePath (@Nonnull final String path)
      {
        return getRootDirectory() + path;
     }
  }
